javax.security.auth.message.module

## Interface ClientAuthModule

- All Superinterfaces:
    ClientAuth

      public interface ClientAuthModule
      extends ClientAuth

  A ClientAuthModule secures request messages, and validates received response messages.

  A module implementation should assume it may be used to secure different requests as different clients. A module should also assume it may be used concurrently by multiple callers. It is the module implementation's responsibility to properly save and restore any state as necessary. A module that does not need to do so may remain completely stateless.

  Every implementation of the interface must provide a public zero argument constructor.

  See Also:
    `ClientAuthContext`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Class[]` | `getSupportedMessageTypes()` Get the one or more Class objects representing the message types supported by the module.
    `void` | `initialize(MessagePolicy requestPolicy, MessagePolicy responsePolicy, CallbackHandler handler, Map options)` Initialize this module with request and response message policies to enforce, a CallbackHandler, and any module-specific configuration properties.

    - ### Methods inherited from interface javax.security.auth.message.ClientAuth

      `cleanSubject, secureRequest, validateResponse`

- - ### Method Detail

    - #### initialize

          void initialize(MessagePolicy requestPolicy,
                        MessagePolicy responsePolicy,
                        CallbackHandler handler,
                        Map options)
                          throws AuthException

      Initialize this module with request and response message policies to enforce, a CallbackHandler, and any module-specific configuration properties.

      The request policy and the response policy must not both be null.

      Parameters:
        `requestPolicy` - The request policy this module must enforce, or null.
        `responsePolicy` - The response policy this module must enforce, or null.
        `handler` - CallbackHandler used to request information.
        `options` - A Map of module-specific configuration properties.
      Throws:
        `AuthException` - If module initialization fails, including for the case where the options argument contains elements that are not supported by the module.

    - #### getSupportedMessageTypes

          Class[] getSupportedMessageTypes()

      Get the one or more Class objects representing the message types supported by the module.
      Returns:
        An array of Class objects where each element defines a message type supported by the module. A module should return an array containing at least one element. An empty array indicates that the module will attempt to support any message type. This method never returns null.

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.